Bug 39799 - CRASH when insert SVG image while EDITING
Summary: CRASH when insert SVG image while EDITING
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: Other Mac OS X (All)
: highest critical
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mab3.4
  Show dependency treegraph
 
Reported: 2011-08-03 05:27 UTC by rk601
Modified: 2014-11-06 03:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
LibreOffice 3.4.2 release crashes with this SVG file (34.66 KB, image/svg+xml)
2011-08-03 05:27 UTC, rk601
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rk601 2011-08-03 05:27:20 UTC
Created attachment 49871 [details]
LibreOffice 3.4.2 release crashes with this SVG file

Follow these steps to reproduce the error in LibreOffice 3.4.2 release:

(1) Launch LibreOffice 3.4.2 release on OSX
(2) Select New Text Document
(3) Select Insert, Picture, From File...
(4) Select desired SVG file (see attached file) then click Open
(5) LibreOffice 3.4.2 release crashes

In an attempt to Insert a Picture into "LibreOffice 3.4.2 release" we selected an "svg" image and LibreOffice crashed. OSX generated the following partial crash report:

Process:         soffice [811]
Path:            /Applications/LibreOffice 3.4.2.app/Contents/MacOS/soffice
Identifier:      org.libreoffice.script
Version:         3.4.2 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [128]

Date/Time:       2011-08-03 05:06:47.504 -0700
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Interval Since Last Report:          98760 sec
Crashes Since Last Report:           1
Per-App Interval Since Last Report:  66 sec
Per-App Crashes Since Last Report:   1

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x000000002ce742e4
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libsvgfiltermxi.dylib         	0x2ce1db89 0x2ce10000 + 56201
1   libsvgfiltermxi.dylib         	0x2ce15d05 0x2ce10000 + 23813
2   libsvgfiltermxi.dylib         	0x2ce4433d component_getFactory + 85053
3   libsvgfiltermxi.dylib         	0x2ce44839 component_getFactory + 86329
4   libsvgfiltermxi.dylib         	0x2ce4543c component_getFactory + 89404
5   libsvgfiltermxi.dylib         	0x2ce6647d component_getFactory + 224637
6   libsvgfiltermxi.dylib         	0x2ce683f2 component_getFactory + 232690
7   libsvgfiltermxi.dylib         	0x2ce68247 component_getFactory + 232263
8   libsvgfiltermxi.dylib         	0x2ce68247 component_getFactory + 232263
9   libsvgfiltermxi.dylib         	0x2ce68247 component_getFactory + 232263
10  libsvgfiltermxi.dylib         	0x2ce68247 component_getFactory + 232263
11  libsvgfiltermxi.dylib         	0x2ce68247 component_getFactory + 232263
12  libsvgfiltermxi.dylib         	0x2ce35e3c component_getFactory + 26428
13  libsvgfiltermxi.dylib         	0x2ce2f6b8 GraphicImport + 24
14  libsvtmxi.dylib               	0x00b943e1 GraphicFilter::ImportGraphic(Graphic&, String const&, SvStream&, unsigned short, unsigned short*, unsigned long, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>*) + 2577
15  libsvtmxi.dylib               	0x00b95274 GraphicFilter::ImportGraphic(Graphic&, String const&, SvStream&, unsigned short, unsigned short*, unsigned long) + 68
16  libsvtmxi.dylib               	0x00b9535a GraphicFilter::ImportGraphic(Graphic&, INetURLObject const&, unsigned short, unsigned short*, unsigned long) + 218
17  libsvtmxi.dylib               	0x00b955e3 GraphicFilter::LoadGraphic(String const&, String const&, Graphic&, GraphicFilter*, unsigned short*) + 563
18  libswmxi.dylib                	0x27ba2d22 SwView::InsertGraphic(String const&, String const&, unsigned char, GraphicFilter*, Graphic*, unsigned char) + 946
19  libswmxi.dylib                	0x27ba5fa0 SwView::InsertGraphicDlg(SfxRequest&) + 1840
20  libswmxi.dylib                	0x27ba8f58 SwView::Execute(SfxRequest&) + 3288
21  libsfxmxi.dylib               	0x0047fc62 SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) + 530
22  libsfxmxi.dylib               	0x00480404 SfxDispatcher::PostMsgHandler(SfxRequest*) + 308
23  libsfxmxi.dylib               	0x006509d9 SfxHintPoster::LinkStubDoEvent_Impl(void*, void*) + 25
24  libvclmxi.dylib               	0x0195681f vcl::LazyDeletor<Window>::~LazyDeletor() + 22239
25  libvclmxi.dylib               	0x01a21ec3 SalGetDesktopEnvironment() + 1043
26  libvclmxi.dylib               	0x01716180 Application::Yield(bool) + 96
27  libvclmxi.dylib               	0x01716281 Application::Execute() + 97
28  libsofficeapp.dylib           	0x0006a785 0x58000 + 75653
29  libvclmxi.dylib               	0x0171e268 DeInitVCL() + 3624
30  libvclmxi.dylib               	0x01a2181b component_getFactory + 209547
31  libvclmxi.dylib               	0x01a26c4b SalGetDesktopEnvironment() + 20891
32  com.apple.AppKit              	0x98b47253 -[NSApplication run] + 917
33  com.apple.AppKit              	0x98b3f289 NSApplicationMain + 574
34  libvclmxi.dylib               	0x01a225a7 SalGetDesktopEnvironment() + 2807
35  libvclmxi.dylib               	0x0171e311 SVMain() + 17
36  libsofficeapp.dylib           	0x00096f65 soffice_main + 245
37  org.libreoffice.script        	0x00001ebe main + 30
38  org.libreoffice.script        	0x00001822 start + 258
39  org.libreoffice.script        	0x00001749 start + 41
Comment 1 Rainer Bielefeld Retired 2011-08-03 08:31:19 UTC
No problem with reporter's sample and "LibreOffice 3.4.2  - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:203)]". I can insert it to new WRITER document without problems.

Not a blocker as long as it's not a general problem.

MAC only?

@Reporter:
Not a problem with DRAW?

@Thorsten:
Please feel free to reassign if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 2 noname 2011-08-03 13:12:06 UTC
Unconfirmed with [Win2K LibreOffice 3.4.2 OOO340m1 (Build:203)].
File imports without a problem.
Comment 3 rk601 2011-08-04 07:00:23 UTC
On 2011-08-03 08:31:19 PDT Rainer Bielefeld asked if LibreOffice 3.4.2 release crashes with the above SVG file using DRAW?

ANSWER: YES

Follow these steps to reproduce the error in LibreOffice 3.4.2 release with DRAW:

(1) Launch LibreOffice 3.4.2 release on OSX
(2) Select Drawing
(3) Select Insert, Picture, From File...
(4) Select desired SVG file (see attached file) then click Open
(5) LibreOffice 3.4.2 release crashes

In an attempt to Insert a Picture into "LibreOffice 3.4.2 release" DRAW we selected an "svg" image and LibreOffice crashed. OSX generated the following NEW partial crash report:


Process:         soffice [1007]
Path:            /Applications/LibreOffice 3.4.2.app/Contents/MacOS/soffice
Identifier:      org.libreoffice.script
Version:         3.4.2 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [128]

Date/Time:       2011-08-04 06:50:51.151 -0700
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Interval Since Last Report:          9564 sec
Crashes Since Last Report:           1
Per-App Interval Since Last Report:  1195 sec
Per-App Crashes Since Last Report:   1

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x000000002d48f2e4
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libsvgfiltermxi.dylib         	0x2d438b89 0x2d42b000 + 56201
1   libsvgfiltermxi.dylib         	0x2d430d05 0x2d42b000 + 23813
2   libsvgfiltermxi.dylib         	0x2d45f33d component_getFactory + 85053
3   libsvgfiltermxi.dylib         	0x2d45f839 component_getFactory + 86329
4   libsvgfiltermxi.dylib         	0x2d46043c component_getFactory + 89404
5   libsvgfiltermxi.dylib         	0x2d48147d component_getFactory + 224637
6   libsvgfiltermxi.dylib         	0x2d4833f2 component_getFactory + 232690
7   libsvgfiltermxi.dylib         	0x2d483247 component_getFactory + 232263
8   libsvgfiltermxi.dylib         	0x2d483247 component_getFactory + 232263
9   libsvgfiltermxi.dylib         	0x2d483247 component_getFactory + 232263
10  libsvgfiltermxi.dylib         	0x2d483247 component_getFactory + 232263
11  libsvgfiltermxi.dylib         	0x2d483247 component_getFactory + 232263
12  libsvgfiltermxi.dylib         	0x2d450e3c component_getFactory + 26428
13  libsvgfiltermxi.dylib         	0x2d44a6b8 GraphicImport + 24
14  libsvtmxi.dylib               	0x00b943e1 GraphicFilter::ImportGraphic(Graphic&, String const&, SvStream&, unsigned short, unsigned short*, unsigned long, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>*) + 2577
15  libsvtmxi.dylib               	0x00b95274 GraphicFilter::ImportGraphic(Graphic&, String const&, SvStream&, unsigned short, unsigned short*, unsigned long) + 68
16  libsvtmxi.dylib               	0x00b9535a GraphicFilter::ImportGraphic(Graphic&, INetURLObject const&, unsigned short, unsigned short*, unsigned long) + 218
17  libsfxmxi.dylib               	0x004bfd37 sfx2::FileDialogHelper_Impl::getGraphic(rtl::OUString const&, Graphic&) const + 695
18  libsfxmxi.dylib               	0x004bff89 sfx2::FileDialogHelper_Impl::getGraphic(Graphic&) const + 361
19  libsdmxi.dylib                	0x275d8a04 SdUndoGroup::~SdUndoGroup() + 48516
20  libsdmxi.dylib                	0x275d8953 SdUndoGroup::~SdUndoGroup() + 48339
21  libsdmxi.dylib                	0x27343058 sd::ViewShell::GetViewFrame() const + 164424
22  libsdmxi.dylib                	0x2732bec8 sd::ViewShell::GetViewFrame() const + 69816
23  libsfxmxi.dylib               	0x0047fc62 SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) + 530
24  libsfxmxi.dylib               	0x00480404 SfxDispatcher::PostMsgHandler(SfxRequest*) + 308
25  libsfxmxi.dylib               	0x006509d9 SfxHintPoster::LinkStubDoEvent_Impl(void*, void*) + 25
26  libvclmxi.dylib               	0x0195681f vcl::LazyDeletor<Window>::~LazyDeletor() + 22239
27  libvclmxi.dylib               	0x01a21ec3 SalGetDesktopEnvironment() + 1043
28  libvclmxi.dylib               	0x01716180 Application::Yield(bool) + 96
29  libvclmxi.dylib               	0x0171626c Application::Execute() + 76
30  libsofficeapp.dylib           	0x0006a785 0x58000 + 75653
31  libvclmxi.dylib               	0x0171e268 DeInitVCL() + 3624
32  libvclmxi.dylib               	0x01a2181b component_getFactory + 209547
33  libvclmxi.dylib               	0x01a26c4b SalGetDesktopEnvironment() + 20891
34  com.apple.AppKit              	0x98b47253 -[NSApplication run] + 917
35  com.apple.AppKit              	0x98b3f289 NSApplicationMain + 574
36  libvclmxi.dylib               	0x01a225a7 SalGetDesktopEnvironment() + 2807
37  libvclmxi.dylib               	0x0171e311 SVMain() + 17
38  libsofficeapp.dylib           	0x00096f65 soffice_main + 245
39  org.libreoffice.script        	0x00001ebe main + 30
40  org.libreoffice.script        	0x00001822 start + 258
41  org.libreoffice.script        	0x00001749 start + 41
Comment 4 Rainer Bielefeld Retired 2011-08-04 23:21:37 UTC
CONFIRMED due to Comment 3
Comment 5 tommy27 2011-08-05 06:47:57 UTC
is this issue just present in LibO 3.4.2 or can you reproduce it also in previous releases?
Comment 6 rk601 2011-08-05 14:43:55 UTC
On 2011-08-05 06:47:57 PDT Tommy27 asked if this issue is just present in LibO 3.4.2 or can you reproduce it also in previous releases?

ANSWER: Please see BUG #37830

https://bugs.freedesktop.org/show_bug.cgi?id=37830

NOTE: We have tested LibreOffice 3.3.2 on both Mac OSX System 10.6.7 and Windows System 7. We have found that Scalable Vector Graphics in LibreOffice is inconsistent and incorrect on both operating systems. The attached compressed file is provided to show how the same Scalable Vector Graphics is inconsistent and incorrect in Writer and Draw. We were able to use SVG images in a previous release.
Comment 7 Rainer Bielefeld Retired 2011-08-08 22:06:07 UTC
I saw a similar problem wrongly reported in Bug 37830, might be DUP or related:
<https://bugs.freedesktop.org/show_bug.cgi?id=37830#c3> (see comment 6 here)

"Bug 39919 - CRASH when insert particular SVG picture from file" might be DUP or at least related?

It seems that there is some vulnerability, some .svg crash MAC, some others WIN, and may be some others Linux?

@reporter, @tommy27, @xdmx:
Can you please check Bug 39919 and leave your results there in a comment?
Comment 8 Rainer Bielefeld Retired 2011-08-08 22:11:03 UTC
Also no problem with WRITER - Master "LibO-dev 3.4.5  – WIN7  Home Premium  (64bit) English UI 
[(Build ID:d337f79-a24c961-2865670-9752b71-7f8fd43
	2fdd60d-fd28b6a-fd7bf20-aa369cb-28da3fb
	6a9633a-931d089-ecd263f-c9b55e9-b31b807
	82ff335-599f7e9-bc6a545-1926fdf)]"
Comment 9 Caolán McNamara 2011-08-11 03:02:13 UTC
I can see no crash or warning under valgrind with current Linux x86_64 3-4 (will be 3.4.3)
Comment 10 digital ant 2011-08-20 19:20:08 UTC
I can confirm this happens with LibO 3.4.3 rc1 on Snow Leopard 10.6.8 - same issue if you drag from desktop into doc. Also tried another SVG (much smaller) from openclipart.org and produced the same results.

Process:         soffice [2107]
Path:            /Applications/LibreOffice.app/Contents/MacOS/soffice
Identifier:      org.libreoffice.script
Version:         3.4.3 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [127]

Date/Time:       2011-08-20 22:13:57.545 -0400
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Interval Since Last Report:          90506 sec
Crashes Since Last Report:           3
Per-App Interval Since Last Report:  571 sec
Per-App Crashes Since Last Report:   3
Anonymous UUID:                      BC553B34-4860-4953-8D6F-06E4206C6D53

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x000000003d4742e4
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libsvgfiltermxi.dylib         	0x3d41db89 0x3d410000 + 56201
1   libsvgfiltermxi.dylib         	0x3d415d05 0x3d410000 + 23813
2   libsvgfiltermxi.dylib         	0x3d44433d component_getFactory + 85053
3   libsvgfiltermxi.dylib         	0x3d444839 component_getFactory + 86329
4   libsvgfiltermxi.dylib         	0x3d44543c component_getFactory + 89404
5   libsvgfiltermxi.dylib         	0x3d46647d component_getFactory + 224637
6   libsvgfiltermxi.dylib         	0x3d4683f2 component_getFactory + 232690
7   libsvgfiltermxi.dylib         	0x3d468247 component_getFactory + 232263
8   libsvgfiltermxi.dylib         	0x3d468247 component_getFactory + 232263
9   libsvgfiltermxi.dylib         	0x3d468247 component_getFactory + 232263
10  libsvgfiltermxi.dylib         	0x3d468247 component_getFactory + 232263
11  libsvgfiltermxi.dylib         	0x3d468247 component_getFactory + 232263
12  libsvgfiltermxi.dylib         	0x3d435e3c component_getFactory + 26428
13  libsvgfiltermxi.dylib         	0x3d42f6b8 GraphicImport + 24
14  libsvtmxi.dylib               	0x00b963e1 GraphicFilter::ImportGraphic(Graphic&, String const&, SvStream&, unsigned short, unsigned short*, unsigned long, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>*) + 2577
15  libsvtmxi.dylib               	0x00b97274 GraphicFilter::ImportGraphic(Graphic&, String const&, SvStream&, unsigned short, unsigned short*, unsigned long) + 68
16  libsvtmxi.dylib               	0x00b9735a GraphicFilter::ImportGraphic(Graphic&, INetURLObject const&, unsigned short, unsigned short*, unsigned long) + 218
17  libsvtmxi.dylib               	0x00b975e3 GraphicFilter::LoadGraphic(String const&, String const&, Graphic&, GraphicFilter*, unsigned short*) + 563
18  libswmxi.dylib                	0x27b25bc2 SwView::InsertGraphic(String const&, String const&, unsigned char, GraphicFilter*, Graphic*, unsigned char) + 946
19  libswmxi.dylib                	0x27b28f20 SwView::InsertGraphicDlg(SfxRequest&) + 1840
20  libswmxi.dylib                	0x27b2bed8 SwView::Execute(SfxRequest&) + 3288
21  libsfxmxi.dylib               	0x00480a02 SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) + 530
22  libsfxmxi.dylib               	0x004811a4 SfxDispatcher::PostMsgHandler(SfxRequest*) + 308
23  libsfxmxi.dylib               	0x006518f9 SfxHintPoster::LinkStubDoEvent_Impl(void*, void*) + 25
24  libvclmxi.dylib               	0x0195882f vcl::LazyDeletor<Window>::~LazyDeletor() + 22239
25  libvclmxi.dylib               	0x01a23ed3 SalGetDesktopEnvironment() + 1043
26  libvclmxi.dylib               	0x01718190 Application::Yield(bool) + 96
27  libvclmxi.dylib               	0x0171827c Application::Execute() + 76
28  libsofficeapp.dylib           	0x0006a785 0x58000 + 75653
29  libvclmxi.dylib               	0x01720278 DeInitVCL() + 3624
30  libvclmxi.dylib               	0x01a2382b component_getFactory + 209547
31  libvclmxi.dylib               	0x01a28c5b SalGetDesktopEnvironment() + 20891
32  com.apple.AppKit              	0x9981b253 -[NSApplication run] + 917
33  com.apple.AppKit              	0x99813289 NSApplicationMain + 574
34  libvclmxi.dylib               	0x01a245b7 SalGetDesktopEnvironment() + 2807
35  libvclmxi.dylib               	0x01720321 SVMain() + 17
36  libsofficeapp.dylib           	0x00096f65 soffice_main + 245
37  org.libreoffice.script        	0x00001ebe main + 30
38  org.libreoffice.script        	0x00001822 start + 258
39  org.libreoffice.script        	0x00001749 start + 41

Thread 1:
0   libSystem.B.dylib             	0x91d71b5a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x91d9f6e1 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x91de826c pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x00035e38 rtl_cache_create + 728
4   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
5   libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 2:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x91d98382 kevent + 10
1   libSystem.B.dylib             	0x91d98a9c _dispatch_mgr_invoke + 215
2   libSystem.B.dylib             	0x91d97f59 _dispatch_queue_invoke + 163
3   libSystem.B.dylib             	0x91d97cfe _dispatch_worker_thread2 + 240
4   libSystem.B.dylib             	0x91d97781 _pthread_wqthread + 390
5   libSystem.B.dylib             	0x91d975c6 start_wqthread + 30

Thread 3:
0   libSystem.B.dylib             	0x91e39096 accept$NOCANCEL$UNIX2003 + 10
1   libSystem.B.dylib             	0x91e37eff accept + 32
2   libuno_sal.dylib.3            	0x00011d3a osl_acceptPipe + 58
3   libsofficeapp.dylib           	0x00093aae 0x58000 + 244398
4   libsofficeapp.dylib           	0x00095ca2 0x58000 + 253090
5   libuno_sal.dylib.3            	0x0000c1b9 osl_setThreadName + 569
6   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
7   libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x91d97412 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x91d979a8 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x91d975c6 start_wqthread + 30

Thread 5:
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   com.apple.CoreFoundation      	0x9a69630f __CFRunLoopRun + 2079
3   com.apple.CoreFoundation      	0x9a6953f4 CFRunLoopRunSpecific + 452
4   com.apple.CoreFoundation      	0x9a69b334 CFRunLoopRun + 84
5   com.apple.DesktopServices     	0x928a0b3d TSystemNotificationTask::SystemNotificationTaskProc(void*) + 643
6   ...ple.CoreServices.CarbonCore	0x9a35e54a PrivateMPEntryPoint + 68
7   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
8   libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x91d97412 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x91d979a8 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x91d975c6 start_wqthread + 30

Thread 7:  com.apple.CFSocket.private
0   libSystem.B.dylib             	0x91d90ac6 select$DARWIN_EXTSN + 10
1   com.apple.CoreFoundation      	0x9a6d5c83 __CFSocketManager + 1091
2   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
3   libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 8:
0   libSystem.B.dylib             	0x91d97412 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x91d979a8 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x91d975c6 start_wqthread + 30

Thread 9:
0   libSystem.B.dylib             	0x91d9faa2 __semwait_signal + 10
1   libSystem.B.dylib             	0x91dcb9c5 nanosleep$UNIX2003 + 188
2   libSystem.B.dylib             	0x91dcb903 usleep$UNIX2003 + 61
3   com.apple.AppKit              	0x999c2e2d -[NSUIHeartBeat _heartBeatThread:] + 2039
4   com.apple.Foundation          	0x903d7564 -[NSThread main] + 45
5   com.apple.Foundation          	0x903d7514 __NSThread__main__ + 1499
6   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
7   libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 10:  Java: Exception Handler Thread
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libSystem.B.dylib             	0x91dddc78 mach_msg_server + 520
3   libjvm.dylib                  	0x2b7100eb jio_snprintf + 43803
4   libjvm.dylib                  	0x2b70ff80 jio_snprintf + 43440
5   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
6   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
7   libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 11:  Java: Gang worker#0 (Parallel GC Threads)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b723cbe jio_vsnprintf + 333
8   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
9   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
10  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 12:  Java: Gang worker#1 (Parallel GC Threads)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b723cbe jio_vsnprintf + 333
8   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
9   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
10  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 13:  Java: Gang worker#2 (Parallel GC Threads)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b723cbe jio_vsnprintf + 333
8   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
9   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
10  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 14:  Java: Gang worker#3 (Parallel GC Threads)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b723cbe jio_vsnprintf + 333
8   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
9   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
10  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 15:  Java: Gang worker#4 (Parallel GC Threads)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b723cbe jio_vsnprintf + 333
8   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
9   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
10  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 16:  Java: Gang worker#5 (Parallel GC Threads)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b723cbe jio_vsnprintf + 333
8   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
9   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
10  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 17:  Java: Gang worker#6 (Parallel GC Threads)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b723cbe jio_vsnprintf + 333
8   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
9   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
10  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 18:  Java: Gang worker#7 (Parallel GC Threads)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b723cbe jio_vsnprintf + 333
8   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
9   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
10  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 19:  Java: Gang worker#0 (Parallel CMS Threads)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b9dda92 JVM_RaiseSignal + 739594
8   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
9   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
10  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 20:  Java: Gang worker#1 (Parallel CMS Threads)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b9dda92 JVM_RaiseSignal + 739594
8   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
9   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
10  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 21:  Java: Concurrent Mark-Sweep GC Thread
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b982599 JVM_RaiseSignal + 365585
3   libjvm.dylib                  	0x2b98293c JVM_RaiseSignal + 366516
4   libjvm.dylib                  	0x2b97669b JVM_RaiseSignal + 316691
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b7be0c9 JVM_Close + 13205
8   libjvm.dylib                  	0x2b7be031 JVM_Close + 13053
9   libjvm.dylib                  	0x2b729d73 jio_vsnprintf + 25090
10  libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
11  libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
12  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 22:  Java: VM Thread
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b982599 JVM_RaiseSignal + 365585
3   libjvm.dylib                  	0x2b98293c JVM_RaiseSignal + 366516
4   libjvm.dylib                  	0x2b97669b JVM_RaiseSignal + 316691
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b790564 JVM_Lseek + 149378
8   libjvm.dylib                  	0x2b790214 JVM_Lseek + 148530
9   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
10  libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
11  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 23:  Java: Reference Handler
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b97e82c JVM_RaiseSignal + 349860
5   libjvm.dylib                  	0x2b9bdb5f JVM_RaiseSignal + 608727
6   libjvm.dylib                  	0x2b79d50a JVM_MonitorWait + 196
7   libjvmlinkage.dylib           	0x2b534e75 JVM_MonitorWait + 69
8   ???                           	0x3100b9d9 0 + 822131161
9   ???                           	0x31003e31 0 + 822099505
10  ???                           	0x31003e31 0 + 822099505
11  ???                           	0x31001374 0 + 822088564
12  libjvm.dylib                  	0x2b7917aa JVM_Lseek + 154056
13  libjvm.dylib                  	0x2b791544 JVM_Lseek + 153442
14  libjvm.dylib                  	0x2b79d341 JVM_StartThread + 2726
15  libjvm.dylib                  	0x2b79d246 JVM_StartThread + 2475
16  libjvm.dylib                  	0x2b79d1d4 JVM_StartThread + 2361
17  libjvm.dylib                  	0x2b79d048 JVM_StartThread + 1965
18  libjvm.dylib                  	0x2b79cea7 JVM_StartThread + 1548
19  libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
20  libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
21  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 24:  Java: Finalizer
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b97e82c JVM_RaiseSignal + 349860
5   libjvm.dylib                  	0x2b9bdb5f JVM_RaiseSignal + 608727
6   libjvm.dylib                  	0x2b79d50a JVM_MonitorWait + 196
7   libjvmlinkage.dylib           	0x2b534e75 JVM_MonitorWait + 69
8   ???                           	0x3100b9d9 0 + 822131161
9   ???                           	0x31003e31 0 + 822099505
10  ???                           	0x31003f97 0 + 822099863
11  ???                           	0x31003f97 0 + 822099863
12  ???                           	0x31001374 0 + 822088564
13  libjvm.dylib                  	0x2b7917aa JVM_Lseek + 154056
14  libjvm.dylib                  	0x2b791544 JVM_Lseek + 153442
15  libjvm.dylib                  	0x2b79d341 JVM_StartThread + 2726
16  libjvm.dylib                  	0x2b79d246 JVM_StartThread + 2475
17  libjvm.dylib                  	0x2b79d1d4 JVM_StartThread + 2361
18  libjvm.dylib                  	0x2b79d048 JVM_StartThread + 1965
19  libjvm.dylib                  	0x2b79cea7 JVM_StartThread + 1548
20  libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
21  libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
22  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 25:  Java: Surrogate Locker Thread (Concurrent GC)
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70eba4 jio_snprintf + 38356
7   libjvm.dylib                  	0x2b7ad9d7 JVM_IsPrimitiveClass + 5991
8   libjvm.dylib                  	0x2b79d048 JVM_StartThread + 1965
9   libjvm.dylib                  	0x2b79cea7 JVM_StartThread + 1548
10  libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
11  libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
12  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 26:  Java: Signal Dispatcher
0   libSystem.B.dylib             	0x91d71b36 semaphore_wait_trap + 10
1   libjvm.dylib                  	0x2b7ae209 JVM_IsPrimitiveClass + 8089
2   libjvm.dylib                  	0x2b7adbf4 JVM_IsPrimitiveClass + 6532
3   libjvm.dylib                  	0x2b79d048 JVM_StartThread + 1965
4   libjvm.dylib                  	0x2b79cea7 JVM_StartThread + 1548
5   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
6   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
7   libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 27:  Java: C1 CompilerThread0
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70eba4 jio_snprintf + 38356
7   libjvm.dylib                  	0x2b7b4d30 JVM_Write + 288
8   libjvm.dylib                  	0x2b7af368 JVM_IsPrimitiveClass + 12536
9   libjvm.dylib                  	0x2b79d048 JVM_StartThread + 1965
10  libjvm.dylib                  	0x2b79cea7 JVM_StartThread + 1548
11  libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
12  libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
13  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 28:  Java: Low Memory Detector
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b9824c9 JVM_RaiseSignal + 365377
3   libjvm.dylib                  	0x2b70f0e6 jio_snprintf + 39702
4   libjvm.dylib                  	0x2b976681 JVM_RaiseSignal + 316665
5   libjvm.dylib                  	0x2b976750 JVM_RaiseSignal + 316872
6   libjvm.dylib                  	0x2b70ec5d jio_snprintf + 38541
7   libjvm.dylib                  	0x2b7b0cf6 JVM_IsPrimitiveClass + 19078
8   libjvm.dylib                  	0x2b79d048 JVM_StartThread + 1965
9   libjvm.dylib                  	0x2b79cea7 JVM_StartThread + 1548
10  libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
11  libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
12  libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 29:  Java: VM Periodic Task Thread
0   libSystem.B.dylib             	0x91d71afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x91d72267 mach_msg + 68
2   libjvm.dylib                  	0x2b982599 JVM_RaiseSignal + 365585
3   libjvm.dylib                  	0x2b98293c JVM_RaiseSignal + 366516
4   libjvm.dylib                  	0x2b7b2eae JVM_IsPrimitiveClass + 27710
5   libjvm.dylib                  	0x2b70ed2d jio_snprintf + 38749
6   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
7   libSystem.B.dylib             	0x91d9f0de thread_start + 34

Thread 30:
0   libSystem.B.dylib             	0x91d71b5a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x91d9f6e1 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x91de826c pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x000084e9 osl_waitCondition + 281
4   configmgr.uno.dylib           	0x17f24c5b 0x17f00000 + 150619
5   configmgr.uno.dylib           	0x17f28312 0x17f00000 + 164626
6   libuno_sal.dylib.3            	0x0000c1b9 osl_setThreadName + 569
7   libSystem.B.dylib             	0x91d9f259 _pthread_start + 345
8   libSystem.B.dylib             	0x91d9f0de thread_start + 34
Comment 11 Caolán McNamara 2011-08-22 04:30:12 UTC
Still no crash, or anything visible under valgrind and x86_64 Linux in 3-4 series.

If this really is affecting *only* macosx ? Perhaps there's a connection to the exact version of libxml2 on that platform ?

anyone able to get a backtrace with symbols ?
Comment 12 Rainer Bielefeld Retired 2011-08-22 06:07:00 UTC
Caolán:
I expected several problems to get such crashes reproducible, every LibO user needs his particular SVG to get the crash ;-)

Can you please check "Bug 39919 - CRASH when insert particular SVG picture from file"?
Comment 13 Julien Nabet 2011-09-01 13:02:39 UTC
No crash here with Debian Linux x86 32 bits on master branch (3.5), debug mode.

Here are debug logs I get in console :
Error: SfxModule::GetFieldUnit: no metric item in the module implemented by '8SwModule'! From File /.../libo/sfx2/source/appl/module.cxx at Line 399 14 times
Comment 14 Alex Thurgood 2011-09-28 08:41:29 UTC
Hi all,

Does not cause crash on Mac OSX when using Writer with following build from master :

LibO-dev 3.5.0 
Build ID: 6058133-1b94742-3dca5fd-7252360



Alex
Comment 15 Alex Thurgood 2011-09-28 08:45:37 UTC
I can also NOT confirm crash when I drag and drop the image onto a freshly opened Draw document with the same build from master.


Alex
Comment 16 Alex Thurgood 2011-09-28 08:49:26 UTC
I can confirming that it does crash 3.4.3 on Mac OSX.

Alex
Comment 17 Alex Thurgood 2011-09-28 09:02:02 UTC
Tested against :

LibreOffice 3.3.4 : no crash, but clouds appear behind moon.
NeoOffice 3.2 patch 5 : no crash (but transparent objects not correctly rendered)
NeoOffice 3.1.2 patch 8 : no crash, but objects mangled.
Symphony 3 : refuses to load image in Impress (no Draw module)
OOo-dev 3.4 : no crash, but clouds appear behind moon.



Alex
Comment 18 damahevi 2011-10-18 14:47:17 UTC
I can also confirm this crash (Insert picture from file svg into writer) on MAC OS X:

LibreOffice 3.4.3 
OOO340m1 (Build:302)

Dump:
Process:         soffice [693]
Path:            /Applications/LibreOffice.app/Contents/MacOS/soffice
Identifier:      org.libreoffice.script
Version:         3.4.3 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [338]

Date/Time:       2011-10-18 23:40:09.595 +0200
OS Version:      Mac OS X 10.7.2 (11C74)
Report Version:  9

Interval Since Last Report:          94429 sec
Crashes Since Last Report:           8
Per-App Interval Since Last Report:  27374 sec
Per-App Crashes Since Last Report:   8


Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000023e062e4

VM Regions Near 0x23e062e4:
    IOKit                  0000000023b42000-0000000023da2000 [ 2432K] rw-/rw- SM=SHM  
--> __TEXT                 0000000023da2000-0000000023e10000 [  440K] r-x/rwx SM=COW  /Applications/LibreOffice.app/Contents/basis-link/program/libsvgfiltermxi.dylib
    __DATA                 0000000023e10000-0000000023e1c000 [   48K] rw-/rwx SM=COW  /Applications/LibreOffice.app/Contents/basis-link/program/libsvgfiltermxi.dylib

Application Specific Information:
objc[693]: garbage collection is OFF

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsvgfiltermxi.dylib         	0x23dafb89 0x23da2000 + 56201
1   libsvgfiltermxi.dylib         	0x23da7d05 0x23da2000 + 23813
2   libsvgfiltermxi.dylib         	0x23dd633d component_getFactory + 85053
3   libsvgfiltermxi.dylib         	0x23dd6839 component_getFactory + 86329
4   libsvgfiltermxi.dylib         	0x23dd743c component_getFactory + 89404
5   libsvgfiltermxi.dylib         	0x23df847d component_getFactory + 224637
6   libsvgfiltermxi.dylib         	0x23dfa3f2 component_getFactory + 232690
7   libsvgfiltermxi.dylib         	0x23dfa247 component_getFactory + 232263
8   libsvgfiltermxi.dylib         	0x23dfa247 component_getFactory + 232263
9   libsvgfiltermxi.dylib         	0x23dfa247 component_getFactory + 232263
10  libsvgfiltermxi.dylib         	0x23dfa247 component_getFactory + 232263
11  libsvgfiltermxi.dylib         	0x23dc7e3c component_getFactory + 26428
12  libsvgfiltermxi.dylib         	0x23dc16b8 GraphicImport + 24
13  libsvtmxi.dylib               	0x00b963e1 GraphicFilter::ImportGraphic(Graphic&, String const&, SvStream&, unsigned short, unsigned short*, unsigned long, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>*) + 2577
14  libsvtmxi.dylib               	0x00b97274 GraphicFilter::ImportGraphic(Graphic&, String const&, SvStream&, unsigned short, unsigned short*, unsigned long) + 68
15  libsvtmxi.dylib               	0x00b9735a GraphicFilter::ImportGraphic(Graphic&, INetURLObject const&, unsigned short, unsigned short*, unsigned long) + 218
16  libsvtmxi.dylib               	0x00b975e3 GraphicFilter::LoadGraphic(String const&, String const&, Graphic&, GraphicFilter*, unsigned short*) + 563
17  libswmxi.dylib                	0x21b91be2 SwView::InsertGraphic(String const&, String const&, unsigned char, GraphicFilter*, Graphic*, unsigned char) + 946
18  libswmxi.dylib                	0x21b94f40 SwView::InsertGraphicDlg(SfxRequest&) + 1840
19  libswmxi.dylib                	0x21b97ef8 SwView::Execute(SfxRequest&) + 3288
20  libsfxmxi.dylib               	0x00480a02 SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) + 530
21  libsfxmxi.dylib               	0x004811a4 SfxDispatcher::PostMsgHandler(SfxRequest*) + 308
22  libsfxmxi.dylib               	0x006518f9 SfxHintPoster::LinkStubDoEvent_Impl(void*, void*) + 25
23  libvclmxi.dylib               	0x0195882f vcl::LazyDeletor<Window>::~LazyDeletor() + 22239
24  libvclmxi.dylib               	0x01a23ed3 SalGetDesktopEnvironment() + 1043
25  libvclmxi.dylib               	0x01718190 Application::Yield(bool) + 96
26  libvclmxi.dylib               	0x01718291 Application::Execute() + 97
27  libsofficeapp.dylib           	0x0006a785 0x58000 + 75653
28  libvclmxi.dylib               	0x01720278 DeInitVCL() + 3624
29  libvclmxi.dylib               	0x01a2382b component_getFactory + 209547
30  libvclmxi.dylib               	0x01a28c5b SalGetDesktopEnvironment() + 20891
31  com.apple.AppKit              	0x9a4cac82 -[NSApplication run] + 1007
32  com.apple.AppKit              	0x9a75f18a NSApplicationMain + 1054
33  libvclmxi.dylib               	0x01a245b7 SalGetDesktopEnvironment() + 2807
34  libvclmxi.dylib               	0x01720321 SVMain() + 17
35  libsofficeapp.dylib           	0x00096f65 soffice_main + 245
36  org.libreoffice.script        	0x00001ebe main + 30
37  org.libreoffice.script        	0x00001822 start + 258
38  org.libreoffice.script        	0x00001749 start + 41

Thread 1:
0   libsystem_kernel.dylib        	0x9b0ae83e __psynch_cvwait + 10
1   libsystem_c.dylib             	0x90175e78 _pthread_cond_wait + 914
2   libsystem_c.dylib             	0x9011d7f5 pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x00035e38 rtl_cache_create + 728
4   libsystem_c.dylib             	0x90171ed9 _pthread_start + 335
5   libsystem_c.dylib             	0x901756de thread_start + 34

Thread 2:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x9b0af90a kevent + 10
1   libdispatch.dylib             	0x92eb2c58 _dispatch_mgr_invoke + 969
2   libdispatch.dylib             	0x92eb16a7 _dispatch_mgr_thread + 53

Thread 3:
0   libsystem_kernel.dylib        	0x9b0ade2e __accept_nocancel + 10
1   libsystem_kernel.dylib        	0x9b0ad30d accept + 39
2   libuno_sal.dylib.3            	0x00011d3a osl_acceptPipe + 58
3   libsofficeapp.dylib           	0x00093aae 0x58000 + 244398
4   libsofficeapp.dylib           	0x00095ca2 0x58000 + 253090
5   libuno_sal.dylib.3            	0x0000c1b9 osl_setThreadName + 569
6   libsystem_c.dylib             	0x90171ed9 _pthread_start + 335
7   libsystem_c.dylib             	0x901756de thread_start + 34

Thread 4:
0   libsystem_kernel.dylib        	0x9b0af02e __workq_kernreturn + 10
1   libsystem_c.dylib             	0x90173ccf _pthread_wqthread + 773
2   libsystem_c.dylib             	0x901756fe start_wqthread + 30

Thread 5:
0   libsystem_kernel.dylib        	0x9b0af02e __workq_kernreturn + 10
1   libsystem_c.dylib             	0x90173ccf _pthread_wqthread + 773
2   libsystem_c.dylib             	0x901756fe start_wqthread + 30

Thread 6:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x9b0aeb42 __select + 10
1   com.apple.CoreFoundation      	0x949b1195 __CFSocketManager + 1557
2   libsystem_c.dylib             	0x90171ed9 _pthread_start + 335
3   libsystem_c.dylib             	0x901756de thread_start + 34

Thread 7:
0   libsystem_kernel.dylib        	0x9b0ae83e __psynch_cvwait + 10
1   libsystem_c.dylib             	0x90175e78 _pthread_cond_wait + 914
2   libsystem_c.dylib             	0x90175f7b pthread_cond_timedwait_relative_np + 47
3   com.apple.FinderKit           	0x9b1991f5 TConditionVariable::WaitWithTimeout(TMutex&, unsigned long long, bool&) + 107
4   com.apple.FinderKit           	0x9b1c5536 TThreadSafeQueue<TThumbnailExtractorThread::TThumbnailQueueData>::WaitForChange(unsigned long long) + 60
5   com.apple.FinderKit           	0x9b1c4957 TThumbnailExtractorThread::Main() + 333
6   com.apple.FinderKit           	0x9b1994f2 TThread::MainGlue(void*) + 62
7   libsystem_c.dylib             	0x90171ed9 _pthread_start + 335
8   libsystem_c.dylib             	0x901756de thread_start + 34

Thread 8:
0   libsystem_kernel.dylib        	0x9b0af02e __workq_kernreturn + 10
1   libsystem_c.dylib             	0x90173ccf _pthread_wqthread + 773
2   libsystem_c.dylib             	0x901756fe start_wqthread + 30

Thread 9:
0   libsystem_kernel.dylib        	0x9b0af02e __workq_kernreturn + 10
1   libsystem_c.dylib             	0x90173ccf _pthread_wqthread + 773
2   libsystem_c.dylib             	0x901756fe start_wqthread + 30

Thread 10:: com.apple.appkit-heartbeat
0   libsystem_kernel.dylib        	0x9b0aebb2 __semwait_signal + 10
1   libsystem_c.dylib             	0x901267b9 nanosleep$UNIX2003 + 187
2   libsystem_c.dylib             	0x90126558 usleep$UNIX2003 + 60
3   com.apple.AppKit              	0x9a716be2 -[NSUIHeartBeat _heartBeatThread:] + 2399
4   com.apple.Foundation          	0x945f2f7d -[NSThread main] + 45
5   com.apple.Foundation          	0x945f2f2d __NSThread__main__ + 1582
6   libsystem_c.dylib             	0x90171ed9 _pthread_start + 335
7   libsystem_c.dylib             	0x901756de thread_start + 34

Thread 11:: WebCore: LocalStorage
0   libsystem_kernel.dylib        	0x9b0ae83e __psynch_cvwait + 10
1   libsystem_c.dylib             	0x90175e21 _pthread_cond_wait + 827
2   libsystem_c.dylib             	0x9012642c pthread_cond_wait$UNIX2003 + 71
3   com.apple.JavaScriptCore      	0x99f12021 WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 81
4   com.apple.WebCore             	0x9921ad41 WTF::MessageQueue<WebCore::LocalStorageTask>::waitForMessage() + 135
5   com.apple.WebCore             	0x9921ac94 WebCore::LocalStorageThread::threadEntryPoint() + 74
6   com.apple.WebCore             	0x9921abf1 WebCore::LocalStorageThread::threadEntryPointCallback(void*) + 17
7   libsystem_c.dylib             	0x90171ed9 _pthread_start + 335
8   libsystem_c.dylib             	0x901756de thread_start + 34

Thread 12:: com.apple.NSURLConnectionLoader
0   libsystem_kernel.dylib        	0x9b0acc22 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x9b0ac1f6 mach_msg + 70
2   com.apple.CoreFoundation      	0x9495a0ea __CFRunLoopServiceMachPort + 170
3   com.apple.CoreFoundation      	0x94963214 __CFRunLoopRun + 1428
4   com.apple.CoreFoundation      	0x949628ec CFRunLoopRunSpecific + 332
5   com.apple.CoreFoundation      	0x94962798 CFRunLoopRunInMode + 120
6   com.apple.Foundation          	0x945ff21c +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 378
7   com.apple.Foundation          	0x945f2f7d -[NSThread main] + 45
8   com.apple.Foundation          	0x945f2f2d __NSThread__main__ + 1582
9   libsystem_c.dylib             	0x90171ed9 _pthread_start + 335
10  libsystem_c.dylib             	0x901756de thread_start + 34

Thread 13:: CVDisplayLink
0   libsystem_kernel.dylib        	0x9b0ae83e __psynch_cvwait + 10
1   libsystem_c.dylib             	0x90175e21 _pthread_cond_wait + 827
2   libsystem_c.dylib             	0x9012642c pthread_cond_wait$UNIX2003 + 71
3   com.apple.CoreVideo           	0x98fe5529 CVDisplayLink::runIOThread() + 945
4   com.apple.CoreVideo           	0x98fe5161 _ZL13startIOThreadPv + 160
5   libsystem_c.dylib             	0x90171ed9 _pthread_start + 335
6   libsystem_c.dylib             	0x901756de thread_start + 34

Thread 14:
0   libsystem_kernel.dylib        	0x9b0ae83e __psynch_cvwait + 10
1   libsystem_c.dylib             	0x90175e78 _pthread_cond_wait + 914
2   libsystem_c.dylib             	0x9011d7f5 pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x000084e9 osl_waitCondition + 281
4   configmgr.uno.dylib           	0x07d69c5b 0x7d45000 + 150619
5   configmgr.uno.dylib           	0x07d6d312 0x7d45000 + 164626
6   libuno_sal.dylib.3            	0x0000c1b9 osl_setThreadName + 569
7   libsystem_c.dylib             	0x90171ed9 _pthread_start + 335
8   libsystem_c.dylib             	0x901756de thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x23e062e0  ebx: 0x23da720a  ecx: 0xbfffbd08  edx: 0x1c34facf
  edi: 0xffffffff  esi: 0xbfffbdac  ebp: 0xbfffb788  esp: 0xbfffb6d0
   ss: 0x00000023  efl: 0x00010206  eip: 0x23dafb89   cs: 0x0000001b
   ds: 0x00000023   es: 0x00000023   fs: 0x00000000   gs: 0x0000000f
  cr2: 0x23e062e4
Logical CPU: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=299.1M resident=204.9M(69%) swapped_out_or_unallocated=94.2M(31%)
Writable regions: Total=167.5M written=30.6M(18%) resident=62.9M(38%) swapped_out=0K(0%) unallocated=104.6M(62%)
 
REGION TYPE                      VIRTUAL
===========                      =======
ATS (font support)                 32.8M
CG backing stores                  17.3M
CG image                            172K
CG raster data                     9772K
CG shared images                   3448K
CoreAnimation                       176K
CoreGraphics                          8K
CoreImage                             4K
CoreServices                       1840K
IOKit                              4444K
MALLOC                             57.2M
MALLOC guard page                    48K
Memory tag=240                        4K
Memory tag=242                       12K
Memory tag=250                       64K
OpenCL                               40K
OpenGL GLSL                        1116K
OpenGL GLSL (reserved)              128K        reserved VM address space (unallocated)
SQLite page cache                   384K
Stack                              70.7M
VM_ALLOCATE                        27.7M
__CI_BITMAP                          80K
__DATA                             17.8M
__DATA/__OBJC                       328K
__IMAGE                            1256K
__IMPORT                            540K
__LINKEDIT                         69.0M
__OBJC                             3032K
__OBJC/__DATA                        40K
__PAGEZERO                            4K
__TEXT                            230.1M
__UNICODE                           544K
mapped file                       350.9M
shared memory                      6324K
shared pmap                        6032K
===========                      =======
TOTAL                             912.4M
TOTAL, minus reserved VM space    912.3M

Model: MacBookPro8,1, BootROM MBP81.0047.B1E, 2 processors, Intel Core i7, 2.7 GHz, 8 GB, SMC 1.68f96
Comment 19 Thorsten Behrens (CIB) 2011-12-22 15:35:28 UTC
Indeed this is fixed for 3.5.
Comment 20 Björn Michaelsen 2011-12-23 13:22:59 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 21 ad5xj 2014-11-05 19:22:50 UTC
This bug is similar to one that occurs in Draw.

Problem description:

Steps to reproduce:
1. Insert image from file
2. Move or resize the SVG image


Current behavior: Causes crash of Draw

Expected behavior: Any acceptable image should be able to be moved around on the drawing or resized as needed.

Current behavior is erratic and crash occurs at random intervals.

OS: Windows XP SP3
Ver: 4.3.2.2
Comment 22 retired 2014-11-06 01:42:32 UTC
1. please do no longer use winXP

2. please file a new bug
Comment 23 Norbert Thiebaud 2014-11-06 03:43:06 UTC
"1. please do no longer use winXP"
While I appreciate the sentiment, and I would even adminish him to to use Windows at all.. but XP has not been dropped from libreoffice support


"2. please file a new bug"
yes that is absolutely correct.
ad5xj@arrl.net this is not the same bug... please open a new one.
just because the symptom you observe are 'similar' to the one associated with a bug closed 3 years ago, does not make it a good place to start a whole new one.